package com.fjhx.customer.service.xiaoman.impl;

import com.fjhx.customer.entity.xiaoman.po.XiaomanCustomerInfoJson;
import com.fjhx.customer.mapper.xiaoman.XiaomanCustomerInfoJsonMapper;
import com.fjhx.customer.service.xiaoman.XiaomanCustomerInfoJsonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerInfoJsonVo;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerInfoJsonSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerInfoJsonDto;
import cn.hutool.core.bean.BeanUtil;

import static com.ruoyi.common.utils.wrapper.IWrapper.getWrapper;


/**
 * <p>
 * 小满客户详情表 服务实现类
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
@Service
public class XiaomanCustomerInfoJsonServiceImpl extends ServiceImpl<XiaomanCustomerInfoJsonMapper, XiaomanCustomerInfoJson> implements XiaomanCustomerInfoJsonService {

    @Override
    public Page<XiaomanCustomerInfoJsonVo> getPage(XiaomanCustomerInfoJsonSelectDto dto) {
        IWrapper<XiaomanCustomerInfoJson> wrapper = getWrapper();
        wrapper.orderByDesc("xcij", XiaomanCustomerInfoJson::getCompanyId);
        Page<XiaomanCustomerInfoJsonVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public XiaomanCustomerInfoJsonVo detail(Long id) {
        XiaomanCustomerInfoJson XiaomanCustomerInfoJson = this.getById(id);
        XiaomanCustomerInfoJsonVo result = BeanUtil.toBean(XiaomanCustomerInfoJson, XiaomanCustomerInfoJsonVo.class);
        return result;
    }

    @Override
    public void add(XiaomanCustomerInfoJsonDto xiaomanCustomerInfoJsonDto) {
        this.save(xiaomanCustomerInfoJsonDto);
    }

    @Override
    public void edit(XiaomanCustomerInfoJsonDto xiaomanCustomerInfoJsonDto) {
        this.updateById(xiaomanCustomerInfoJsonDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
